Bug 257438 - x11/kitty: Update to 0.23.1
Summary: x11/kitty: Update to 0.23.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Fernando Apesteguía
URL: https://sw.kovidgoyal.net/kitty/chang...
Keywords:
Depends on: 257436
Blocks:
  Show dependency treegraph
 
Reported: 2021-07-26 19:59 UTC by Alexis Praga
Modified: 2021-08-23 17:47 UTC (History)
2 users (show)

See Also:


Attachments
v0.22.0 (2.55 KB, patch)
2021-07-26 19:59 UTC, Alexis Praga
no flags Details | Diff
v 0.22.1 (2.82 KB, patch)
2021-08-01 21:54 UTC, Alexis Praga
alexis.praga: maintainer-approval+
Details | Diff
v0.22.2 (2.82 KB, patch)
2021-08-02 10:00 UTC, Alexis Praga
alexis.praga: maintainer-approval+
Details | Diff
Update to v0.23.1 (3.51 KB, patch)
2021-08-21 20:48 UTC, Alexis Praga
alexis.praga: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alexis Praga 2021-07-26 19:59:21 UTC
Created attachment 226722 [details]
v0.22.0

Update to v0.22.0. Warning: this update requires the new port textproc/py-sphinxext-opengraph (PR opened).

Changelog : 

-  Add a new toggle_layout action to easily zoom/unzoom a window
-  When right clicking to extend a selection, move the nearest selection boundary rather than the end of the selection. To restore previous behavior use mouse_map right press ungrabbed mouse_selection move-end.
-  When opening hyperlinks, allow defining open actions for directories (#3836)
-  When using the OSC 52 escape code to copy to clipboard allow large copies (up to 8MB) without needing a kitty specific chunking protocol. Note that if you used the chunking protocol in the past, it will no longer work and you should switch to using the unmodified protocol which has the advantage of working with all terminal emulators.
-  Fix a bug in the implementation of the synchronized updates escape code that could cause incorrect parsing if either the pending buffer capacity or the pending timeout were exceeded (#3779)
-  A new remote control command to resize the OS Window <kitty @ resize-os-window>
-  Graphics protocol: Add support for composing rectangles from one animation frame onto another (#3809)
-  diff kitten: Remove limit on max line length of 4096 characters (#3806)
-  Fix turning off cursor blink via escape codes not working (#3808)
-  Allow using neighboring window operations in the stack layout. The previous window is considered the left and top neighbor and the next window is considered the bottom and right neighbor (#3778)
-  macOS: Render colors in the sRGB colorspace to match other macOS terminal applications (#2249)
-  Add a new variable {num_window_groups} for the tab_title_template (#3837)
-  Wayland: Fix initial_window_width/height specified in cells not working on High DPI screens (#3834)
-  A new theme for the kitty website with support for dark mode.
-  Render ┄ ┅ ┆ ┇ ┈ ┉ ┊ ┋ with spaces at the edges. Matches rendering in most other programs and allows long chains of them to look better (#3844)
-  hints kitten: Detect paths and hashes that appear over multiple lines. Note that this means that all line breaks in the text are no longer n soft breaks are instead r. If you use a custom regular expression that is meant to match over line breaks, you will need to match over both. (#3845)
-  Allow leading or trailing spaces in tab_activity_symbol
-  Fix mouse actions not working when caps lock or num lock are engaged (#3859)
-  clipboard kitten: fix copies to clipboard not working without the kitty +kitten clipboard --wait-for-completion option
Comment 1 Fernando Apesteguía freebsd_committer 2021-07-28 11:31:02 UTC
^Triage: Please set the maintainer-approval attachment flag (to +) on patches for ports you maintain to signify approval.
--
Attachment -> Details -> maintainer-approval [+]

^Triage: Maintainer-feedback flag (+) not required unless requested (?) first.

Thanks!
Comment 2 Fernando Apesteguía freebsd_committer 2021-07-28 11:33:43 UTC
Just FYI:

FATAL: Makefile: [12]: use a tab (not space) after a variable name

No need to update the patch!
Comment 3 Alexis Praga 2021-08-01 21:54:20 UTC
Created attachment 226864 [details]
v 0.22.1

v0.22.1 was just released, so I've updated the patch to update directly from v0.21.1 to 0.22.1 instead of opening a new issue.
Comment 4 Alexis Praga 2021-08-02 10:00:47 UTC
Created attachment 226872 [details]
v0.22.2

Version 0.22.2 just released, so I've updated the patch.
Comment 5 Alexis Praga 2021-08-21 20:48:16 UTC
Created attachment 227357 [details]
Update to v0.23.1

Changelog :
- A new option clipboard_max_size to control the maximum size of data that kitty will transmit to the system clipboard on behalf of programs running inside it (#3937)

- When matching windows/tabs in kittens or using remote control, allow matching by recency. recent:0 matches the active window/tab, recent:1 matches the previous window/tab and so on

- themes kitten: Fix only the first custom theme file being loaded correctly (#3938)
Comment 6 Fernando Apesteguía freebsd_committer 2021-08-23 17:47:03 UTC
Committed with minor changes:

FATAL: Makefile: [12]: use a tab (not space) after a variable name
FATAL: Makefile: [26]: contiguous blank lines (> 1 lines) found.

Thanks!
Comment 7 commit-hook freebsd_committer 2021-08-23 17:47:26 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=a4efa0e609a37b7bc2a3974dfd67e9d30d4b20f3

commit a4efa0e609a37b7bc2a3974dfd67e9d30d4b20f3
Author:     Alexis Praga <alexis.praga@free.fr>
AuthorDate: 2021-08-23 17:41:35 +0000
Commit:     Fernando Apesteguía <fernape@FreeBSD.org>
CommitDate: 2021-08-23 17:41:35 +0000

    x11/kitty: Update to 0.23.1

    ChangeLog: https://sw.kovidgoyal.net/kitty/changelog/#id1

    PR:     257438
    Reported by:    alexis.praga@free.fr (maintainer)

 x11/kitty/Makefile  | 8 ++++++--
 x11/kitty/distinfo  | 6 +++---
 x11/kitty/pkg-plist | 7 +++++++
 3 files changed, 16 insertions(+), 5 deletions(-)